|  | Home · All Classes · Modules

# QWidget.RenderFlags Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, RenderFlags)

### Special Methods

- RenderFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, RenderFlags f)
- RenderFlags __iand__ (self, int f)
- int __int__ (self)
- RenderFlags __invert__ (self)
- RenderFlags __ior__ (self, int f)
- RenderFlags __ixor__ (self, int f)
- bool __ne__ (self, RenderFlags f)
- RenderFlags __or__ (self, int f)
- RenderFlags __xor__ (self, int f)

## Detailed Description

RenderFlag may be used whenever RenderFlags is expected.

## Method Documentation

### RenderFlags.__init__ (self)

### RenderFlags.__init__ (self, int f)

### RenderFlags.__init__ (self, RenderFlags)

### RenderFlags RenderFlags.__and__ (self, int f)

### int RenderFlags.__bool__ (self)

### bool RenderFlags.__eq__ (self, RenderFlags f)

### RenderFlags RenderFlags.__iand__ (self, int f)

### int RenderFlags.__int__ (self)

### RenderFlags RenderFlags.__invert__ (self)

### RenderFlags RenderFlags.__ior__ (self, int f)

### RenderFlags RenderFlags.__ixor__ (self, int f)

### bool RenderFlags.__ne__ (self, RenderFlags f)

### RenderFlags RenderFlags.__or__ (self, int f)

### RenderFlags RenderFlags.__xor__ (self, int f)